# Contributing to vAnalytics

First off, thanks for taking the time to contribute! 🎉👍

## How Can I Contribute?

### Reporting Bugs

- Use the issue tracker to report bugs
- Describe the bug in detail
- Include screenshots if possible

### Suggesting Enhancements

- Use the issue tracker to suggest enhancements
- Explain why this enhancement would be useful

### Your First Code Contribution

You can find issues labeled with "good first issue" in the Issues tab as a starting point. Code refactors and optimizations are also appreciated, although if there's a vulnrability please report it privately in the Security tab. For feature PRs, please make a discussion first to make sure your feature can be added and continously maintained.

1. Fork the repo
2. Create your feature branch (`git checkout -b feature/AmazingFeature`)
3. Install pre-commit: (`pip install pre-commit`)
4. Set up the git hook scripts: (`pre-commit install`)
5. Commit your changes (`git commit -m 'Add some AmazingFeature'`)
6. Push to the branch (`git push origin feature/AmazingFeature`)
7. Open a Pull Request

## Styleguides

### Git Commit Messages

- Use the present tense ("Add feature" not "Added feature")
- Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
- Limit the first line to 72 characters or fewer

### Commit Types:

```
feat: Added new feature
fix: Fixed a bug
docs: Updated documentation
style: Code style changes (formatting, etc.)
refactor: Code refactoring
perf: Performance improvements
test: Added or modified tests
build: Changes to build system or external dependencies
ci: Changes to CI configuration files and scripts
chore: Other changes that don't modify src or test files
```

### Python Styleguide

- Follow PEP 8
- Please use Black to format your code first
- Use meaningful variable names
- Comment your code, but don't overdo it

## Questions?

Feel free to contact the project maintainers if you have any questions.
